
add_library(
	NostalgiaScene
		scene.cpp
		scenestatic.cpp
)

target_include_directories(
	NostalgiaScene PUBLIC
		../include
)

target_link_libraries(
	NostalgiaScene PUBLIC
		NostalgiaCore
)

add_subdirectory(keel)
if(NOSTALGIA_BUILD_STUDIO)
	add_subdirectory(studio)
endif()

install(
	TARGETS
		NostalgiaScene
	DESTINATION
		LIBRARY DESTINATION lib
		ARCHIVE DESTINATION lib
)
